Pre-Development - Feature #19989

User Role assign enhancement
05 March 2024 05:03 PM - Amirul Umar Pandai

Status: Resolved Start date: 01 December 2023
Priority: Normal Due date:

Assignee: Amirul Umar Pandai % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour
Description

Affected Ws:

searchUserProfileAssigmentAction

createAction + updateAction

Subtasks:
Bug # 19047: IAM > User Role Closed

History

#1 - 07 March 2024 10:44 AM - Zaid Haritsah
- Status changed from New to In Progress

- % Done changed from 0 to 70

Created the enhanced function for "searchUserProfileAssigmentAction" and 2 new views as the user role assign will be displaying tree list.

mleb-iam commit
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam//commit/828c37c261e4a125b804cc5942463e624f003bf

mleb trackdb commlt

Hity- } /commit/c1c5619db3d62e640d6ea00e484bbc7f681db80f
)https //dev S|Iverlakemob|llty com/gltlab/mleb -solution- domaln/smesd1 OO/mIeb track db/-/commit/c28440d337635a34bd47¢c93e949956336720359f

Json body used for testing {
"userRoleEntity": { },
"userRoleBean": {

"orgld": 2

}

}

as for createAction and updateAction, the WS will be updated in different redmine ticket Bug #19988 assigned to Farid.

#2 - 07 March 2024 10:55 AM - Zaid Haritsah

- Assignee changed from Zaid Haritsah to Amirul Umar Pandai
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/
https://dev.silverlakemobility.com/redmine/issues/19988

#3 - 07 March 2024 01:47 PM - Amirul Umar Pandai
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100
